iDrum System Requirements

Operating system requirements

  • Windows: XP (32-bit Service Pack 3), 7, 8 
  • Mac: OS X 10.5.8 or later (Universal Binary)

Current Version

Current version: 1.73

Plug-in formats

Standalone, RTAS (Pro Tools 7.4–10), Audio Unit, VST, VST3, MAS

Plug-in Host Compatibility

Compatible with both 32-bit and 64-bit hosts, like GarageBand (6 and earlier), REAPER, SONAR, Digital Performer, ACID, Ableton Live, Pro Tools 7.4–10, Cubase, Nuendo, Logic, and many more.

Please note: iDrum is not supported in Garageband X. Please see our Knowledgebase article for more information.

Get Support products effects instruments small icon white

Have questions? We're here to help. Browse our educational materials online, or contact our Support Team directly.

Try Free for 10 Days

We want you to hear what iZotope can do for your sound, that's why every iZotope product has a free 10-day trial. Try for yourself today.

©Copyright 2001-2015, iZotope, Inc. All Rights reserved.
License Agreement | Privacy Policy